package models

import "gorm.io/gorm"

// Category represents a category for articles
type Category struct {
	gorm.Model
	Name        string `gorm:"uniqueIndex;not null" json:"name"`
	Description string `json:"description"`
	Slug        string `gorm:"uniqueIndex" json:"slug"`
}

func (Category) TableName() string {
	return "categories"
}
